Heap overflow vulnerability in rndis_ipa driver when using multiple writes to loop-back debugfs file (CVE-2016-5868)

Release Date:

April 17, 2017

Affected Projects:

Android for MSMFirefox OS for MSMQRD Android

Advisory ID:

QCIR-2017-00025-1

CVE ID(s):

CVE-2016-5868

Summary:

The following security vulnerabilities have been identified: CVE-2016-5868 If a user space application conducts two or more writes to rndis_ipa driver loop-back debugfs "loopback_enable" file after single open, a heap overflow occurs.

Access Vector: Local
Security Risk: Medium
Access Vector: Local

Affected Versions:

All Android releases from CAF using the Linux kernel.

Patch:

We advise customers to apply the following patches:

Individual Patches
CVE-2016-5868:

Acknowledgement:

Qualcomm Innovation Center, Inc. (QuIC) thanks Yonggang Guo, Jianqiang Zhao and pjf (IceSword Lab, Qihoo 360) for bringing this issue to QuIC’s attention.

Revisions:

Initial revision

Contact:

security-advisory@quicinc.com